import { LarkServer } from "../../types/larkServer"
import larkNetTool from "./larkNetTool"

/**
 * 向电子表格中插入行。
 * @param appName - 应用程序的名称（可选）。
 * @returns 一个函数，该函数接受表格令牌、范围和要插入的值。
 */
const insertRows =
  (appName?: string) =>
  async (sheetToken: string, range: string, values: string[][]) => {
    const URL = `https://open.f.mioffice.cn/open-apis/sheets/v2/spreadsheets/${sheetToken}/values_append?insertDataOption=INSERT_ROWS`
    return larkNetTool.post(appName)<LarkServer.BaseRes>(URL, {
      valueRange: {
        range,
        values,
      },
    })
  }

const sheet = {
  insertRows,
}

export default sheet
